package cn.com.qmth.examcloud.core.basic.api.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import cn.com.qmth.examcloud.commons.web.support.ControllerSupport;
import cn.com.qmth.examcloud.core.basic.service.SysConfigService;
import io.swagger.annotations.ApiOperation;

/**
 * 类注释
 *
 * @author WANGWEI
 * @date 2018年12月3日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
@Transactional
@RestController
@RequestMapping("${$rmp.ctr.basic}/sysConfig")
public class SysConfigController extends ControllerSupport {

	@Autowired
	SysConfigService sysConfigService;

	@ApiOperation(value = "查询所有应用")
	@GetMapping("{key}")
	public Object get(@PathVariable String key) {
		Object object = sysConfigService.get(key);
		return object;
	}

}
