package cn.com.qmth.examcloud.core.basic.api.controller.bean;

import java.util.Date;
import java.util.List;

import cn.com.qmth.examcloud.commons.web.cloud.api.JsonSerializable;

/**
 * 全量用户信息
 *
 * @author WANGWEI
 * @date 2018年6月25日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public class UserDomain implements JsonSerializable {

	private static final long serialVersionUID = -1326157272669439949L;

	private Long id;

	private Long rootOrgId;

	private String rootOrgName;

	private Long orgId;

	private String orgCode;

	private String orgName;

	private String name;

	private String loginName;

	/**
	 * 角色合集
	 */
	private String roleNamesStr;

	private Boolean enable;

	private List<Long> roleIds;

	private List<String> roleCodes;

	private Date updateTime;

	private Date creationTime;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public List<String> getRoleCodes() {
		return roleCodes;
	}

	public void setRoleCodes(List<String> roleCodes) {
		this.roleCodes = roleCodes;
	}

	public Long getRootOrgId() {
		return rootOrgId;
	}

	public void setRootOrgId(Long rootOrgId) {
		this.rootOrgId = rootOrgId;
	}

	public String getRootOrgName() {
		return rootOrgName;
	}

	public void setRootOrgName(String rootOrgName) {
		this.rootOrgName = rootOrgName;
	}

	public Long getOrgId() {
		return orgId;
	}

	public void setOrgId(Long orgId) {
		this.orgId = orgId;
	}

	public String getOrgName() {
		return orgName;
	}

	public void setOrgName(String orgName) {
		this.orgName = orgName;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getLoginName() {
		return loginName;
	}

	public void setLoginName(String loginName) {
		this.loginName = loginName;
	}

	public String getRoleNamesStr() {
		return roleNamesStr;
	}

	public void setRoleNamesStr(String roleNamesStr) {
		this.roleNamesStr = roleNamesStr;
	}

	public Boolean getEnable() {
		return enable;
	}

	public void setEnable(Boolean enable) {
		this.enable = enable;
	}

	public List<Long> getRoleIds() {
		return roleIds;
	}

	public void setRoleIds(List<Long> roleIds) {
		this.roleIds = roleIds;
	}

	public Date getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

	public Date getCreationTime() {
		return creationTime;
	}

	public void setCreationTime(Date creationTime) {
		this.creationTime = creationTime;
	}

	public String getOrgCode() {
		return orgCode;
	}

	public void setOrgCode(String orgCode) {
		this.orgCode = orgCode;
	}

}
