package cn.com.qmth.examcloud.core.basic.dao;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.repository.query.QueryByExampleExecutor;

import cn.com.qmth.examcloud.core.basic.dao.entity.ExamSiteEntity;

/**
 * Created by songyue on 17/1/13.
 */
public interface ExamSiteRepo
		extends
			JpaRepository<ExamSiteEntity, Long>,
			QueryByExampleExecutor<ExamSiteEntity>,
			JpaSpecificationExecutor<ExamSiteEntity> {

	ExamSiteEntity findByOrgIdAndCode(Long orgId, String code);

}
