package cn.com.qmth.examcloud.core.basic.base.constants;

/**
 * 自定义属性
 *
 * @author WANGWEI
 * @date 2018年6月21日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public interface PropKeys {

	/**
	 * 学校logo路径
	 */
	String SCHOOL_LOGO_PATH = "$croe.basic.resource.schoolLogoPath";

	/**
	 * session过期时长
	 */
	String SESSION_TIMEOUT = "$core.basic.sessionTimeout";

	/**
	 * 又拍云学生底照路径
	 */
	String STUDENT_PHOTO_URL_PREFIX = "$studentPhoto.url.prefix";

	/**
	 * 短信验证码签名
	 */
	String SEND_VERIFICATION_CODE_SIGN = "$sendVerificationCode.sign";

	/**
	 * 短信验证码模板
	 */
	String SEND_VERIFICATION_CODE_TEMPLATE_CODE = "$sendVerificationCode.templatecode";

	/**
	 * 短信验证码有效期/秒
	 */
	String SEND_VERIFICATION_CODE_EFFECTIVE_TIME = "$sendVerificationCode.effectivetime";

	/**
	 * 短信验证码 发送间隔时间/秒
	 */
	String SEND_VERIFICATION_CODE_INTERVAL_SECONDS = "$sendVerificationCode.intervalseconds";
}
