package cn.com.qmth.examcloud.core.basic.dao.entity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.EnumType;
import javax.persistence.Enumerated;
import javax.persistence.Id;
import javax.persistence.Lob;
import javax.persistence.Table;

import cn.com.qmth.examcloud.commons.base.helpers.DataType;
import cn.com.qmth.examcloud.commons.web.jpa.JpaEntity;

/**
 * 系统配置
 *
 * @author WANGWEI
 * @date 2018年12月3日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
@Entity
@Table(name = "EC_B_SYS_CONF")
public class SysConfigEntity extends JpaEntity {

	private static final long serialVersionUID = -3688247462533274177L;

	@Id
	private String propertyKey;

	private String description;

	@Enumerated(EnumType.STRING)
	@Column(nullable = false)
	private DataType dataType;

	@Lob
	private String value;

	public String getPropertyKey() {
		return propertyKey;
	}

	public void setPropertyKey(String propertyKey) {
		this.propertyKey = propertyKey;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public DataType getDataType() {
		return dataType;
	}

	public void setDataType(DataType dataType) {
		this.dataType = dataType;
	}

	public String getValue() {
		return value;
	}

	public void setValue(String value) {
		this.value = value;
	}

}
